Package org.eclipse.graphiti.ui.internal.parts

## Class CurvedConnectionEditPart

- java.lang.Object
- - org.eclipse.gef.editparts.AbstractEditPart
  - - org.eclipse.gef.editparts.AbstractGraphicalEditPart
    - - org.eclipse.gef.editparts.AbstractConnectionEditPart
      - - org.eclipse.graphiti.ui.platform.GraphitiConnectionEditPart
        - - org.eclipse.graphiti.ui.internal.parts.ConnectionEditPart
          - - org.eclipse.graphiti.ui.internal.parts.CurvedConnectionEditPart

All Implemented Interfaces:
  `org.eclipse.core.runtime.IAdaptable`, `org.eclipse.gef.ConnectionEditPart`, `org.eclipse.gef.EditPart`, `org.eclipse.gef.GraphicalEditPart`, `org.eclipse.gef.LayerConstants`, `org.eclipse.gef.NodeEditPart`, `org.eclipse.gef.RequestConstants`, `IFeatureProviderHolder`, `IConfigurationProviderHolder`, `IAnchorContainerEditPart`, `IConnectionEditPart`, `IPictogramElementEditPart`

    public class CurvedConnectionEditPart
    extends ConnectionEditPart

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.gef.editparts.AbstractConnectionEditPart

`org.eclipse.gef.editparts.AbstractConnectionEditPart.DefaultAccessibleAnchorProvider`

### Nested classes/interfaces inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart

`org.eclipse.gef.editparts.AbstractGraphicalEditPart.AccessibleGraphicalEditPart`

### Nested classes/interfaces inherited from class org.eclipse.gef.editparts.AbstractEditPart

`org.eclipse.gef.editparts.AbstractEditPart.EditPolicyIterator`

### Field Summary

### Fields inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart

`figure, sourceConnections, targetConnections`

### Fields inherited from class org.eclipse.gef.editparts.AbstractEditPart

`children, FLAG_ACTIVE, FLAG_FOCUS, MAX_FLAG`

### Fields inherited from interface org.eclipse.gef.EditPart

`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

### Fields inherited from interface org.eclipse.gef.LayerConstants

`CONNECTION_LAYER, FEEDBACK_LAYER, GRID_LAYER, GUIDE_LAYER, HANDLE_LAYER, PRIMARY_LAYER, PRINTABLE_LAYERS, SCALABLE_LAYERS, SCALED_FEEDBACK_LAYER`

### Fields inherited from interface org.eclipse.gef.RequestConstants

`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

### Constructor Summary

Constructors
`CurvedConnectionEditPart​(IConfigurationProviderInternal configurationProvider, CurvedConnection connection, org.eclipse.gef.EditPart contextParent)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.eclipse.draw2d.IFigure` `createFigure()`
`protected void` `refreshVisuals()` This method is called, whenever the data of the underlying ModelObject changes.

### Methods inherited from class org.eclipse.graphiti.ui.internal.parts.ConnectionEditPart

`activate, createEditPolicies, deactivate, forceVisualRefresh, getAdapter, getConfigurationProvider, getConnection, getFeatureProvider, getModelChildren, getModelSourceConnections, getModelTargetConnections, getPictogramElement, getPictogramElementDelegate, getSourceConnectionAnchor, getSourceConnectionAnchor, getTargetConnectionAnchor, getTargetConnectionAnchor, getTargetEditPart, performRequest, refreshDecorators, toString`

### Methods inherited from class org.eclipse.gef.editparts.AbstractConnectionEditPart

`activateFigure, addNotify, deactivateFigure, getConnectionFigure, getDragTracker, getSource, getSourceConnectionAnchor, getTarget, getTargetConnectionAnchor, refresh, refreshSourceAnchor, refreshTargetAnchor, removeNotify, setParent, setSource, setTarget`

### Methods inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart

`addChildVisual, addNodeListener, addSourceConnection, addTargetConnection, createConnection, createOrFindConnection, fireRemovingSourceConnection, fireRemovingTargetConnection, fireSourceConnectionAdded, fireTargetConnectionAdded, getContentPane, getFigure, getLayer, getSourceConnections, getTargetConnections, isSelectable, primAddSourceConnection, primAddTargetConnection, primRemoveSourceConnection, primRemoveTargetConnection, refreshSourceConnections, refreshTargetConnections, registerVisuals, removeChildVisual, removeNodeListener, removeSourceConnection, removeTargetConnection, reorderChild, reorderSourceConnection, reorderTargetConnection, setFigure, setLayoutConstraint, unregisterVisuals`

### Methods inherited from class org.eclipse.gef.editparts.AbstractEditPart

`activateEditPolicies, addChild, addEditPartListener, createChild, deactivateEditPolicies, debug, debugFeedback, eraseSourceFeedback, eraseTargetFeedback, fireActivated, fireChildAdded, fireDeactivated, fireRemovingChild, fireSelectionChanged, getAccessibleEditPart, getChildren, getCommand, getEditPolicy, getEditPolicyIterator, getEventListeners, getFlag, getModel, getParent, getRoot, getSelected, getViewer, hasFocus, installEditPolicy, isActive, refreshChildren, register, registerAccessibility, registerModel, removeChild, removeEditPartListener, removeEditPolicy, setFlag, setFocus, setModel, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest, unregister, unregisterAccessibility, unregisterModel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.gef.EditPart

`addEditPartListener, addNotify, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getDragTracker, getEditPolicy, getModel, getParent, getRoot, getSelected, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, refresh, removeEditPartListener, removeEditPolicy, removeNotify, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

### Methods inherited from interface org.eclipse.gef.GraphicalEditPart

`addNodeListener, getContentPane, getFigure, getSourceConnections, getTargetConnections, removeNodeListener, setLayoutConstraint`

### Constructor Detail

#### CurvedConnectionEditPart

    public CurvedConnectionEditPart​(IConfigurationProviderInternal configurationProvider,
                                    CurvedConnection connection,
                                    org.eclipse.gef.EditPart contextParent)

### Method Detail

#### createFigure

    protected org.eclipse.draw2d.IFigure createFigure()

Overrides:
  `createFigure` in class `ConnectionEditPart`

#### refreshVisuals

    protected void refreshVisuals()

Description copied from class: `ConnectionEditPart`
This method is called, whenever the data of the underlying ModelObject changes. It must update the figures to display the changed data. Sub-classes will nearly always overwrite this method.

By default this method takes care to update the labels of the attributes (if existing) and to update the arrows at the connection-endpoints, so sub-classes should call super.refreshVisuals().

Overrides:
  `refreshVisuals` in class `ConnectionEditPart`
See Also:
  `AbstractEditPart.refreshVisuals()`